Description

When trying to deploy a machine via discovery -> provision, a dhcp record is created pointing to boot shimx64.efi but that file isn't

installed on the tftproot, only shim.efi.

TFTP Logs:

in.tftpd

21507

: RRQ from 192.168.1.93 filename grub2/shimx64.efi

in.tftpd

21507

: Client 192.168.1.93 File not found grub2/shimx64.efi

1. find /var/lib/tftpboot/grub2/

/var/lib/tftpboot/grub2/

/var/lib/tftpboot/grub2/grub.cfg

/var/lib/tftpboot/grub2/boot

/var/lib/tftpboot/grub2/grubx64.efi

/var/lib/tftpboot/grub2/shim.efi

Using Foreman 2.0.0

Related issues:

Related to Installer - Feature #29213: puppet-foreman_proxy should run on el8 Closed

Associated revisions

Revision ac50f7f9 - 05/11/2020 05:14 PM - Lukáš Zapletal 

Fixes #29690 - install shimx64.efi and shim.efi

History

#1 - 05/05/2020 11:25 AM - Lukas Zapletal

- Triaged changed from No to Yes

Thanks, I think we need to change this in the installer because UEFI can work also on non-intel platforms: 

https://en.wikipedia.org/wiki/Unified_Extensible_Firmware_Interface#Processor_compatibility

#2 - 05/05/2020 11:28 AM - Ewoud Kohl van Wijngaarden

Relevant discussion: https://github.com/theforeman/puppet-foreman_proxy/pull/583.

Do we still need shim.efi at all or can we limit ourselves to shimx64.efi?

#3 - 05/05/2020 11:52 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/592 added

#4 - 05/05/2020 12:03 PM - Carlos Silva
https://en.wikipedia.org/wiki/Unified_Extensible_Firmware_Interface#Processor_compatibility
https://github.com/theforeman/puppet-foreman_proxy/pull/583


Ewoud Kohl van Wijngaarden wrote:

Relevant discussion: https://github.com/theforeman/puppet-foreman_proxy/pull/583.

Do we still need shim.efi at all or can we limit ourselves to shimx64.efi?

 I don't know much about the intrinsics of this but in case of a managed DHCP server, this should be handled too. Think i've read somewhere in the

generation of the configuration for pxe support that it points to shim.efi instead of shimx64.efi (not really sure where i read it)

#5 - 05/05/2020 12:32 PM - Lukas Zapletal

I think is a similar but a different issue. So I commented in the thread you refer to:

Ewoud, I believe https://projects.theforeman.org/issues/29690 is a different issue. Problem for the other bug is that Foreman sets up DHCP record for

the client to request "shimx64.efi" which is logical as UEFI for IBM POWER is emerging and chances are that users will be booting "shimppc64.efi"

too. Problem is, we have never deployed such file, we simply copy it as "shim.efi". So the upcoming change is to copy the file properly and only create

"shim.efi" as a symlink to the "shimx64.efi" for backward compatibility.

#6 - 05/05/2020 12:34 PM - Lukas Zapletal

- Related to Feature #29213: puppet-foreman_proxy should run on el8 added

#7 - 05/11/2020 05:15 PM - The Foreman Bot

- Fixed in Releases 2.2.0 added

#8 - 05/11/2020 05:16 PM - Ewoud Kohl van Wijngaarden

- Category set to Foreman modules

- Target version set to 2.1.0

- Fixed in Releases 1.24.3, 2.0.1, 2.1.0 added

- Fixed in Releases deleted (2.2.0)

Adding 2.0.1 and 1.24.3 as fixed in since I think this should be cherry picked.

#9 - 05/11/2020 06:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|ac50f7f9da74eb2d21292687772fb8758facda0c.
